Bug 1012122 - regression in display with external monitor [when laptop-lcd is closed]
regression in display with external monitor [when laptop-lcd is closed]
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 14:40 EDT by Satish Balay
Modified: 2015-06-29 08:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:27:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Satish Balay 2013-09-25 14:40:06 EDT
Description of problem:

F19 behaves sanely with external monitor connected to thinkpad T430.

- When I boot with the laptop-LCD closed - then the 'login' prompt for gdm appears on the external monitor.

- when I open the laptop-LCD - then both LCDs are active - and gnome uses both displays - the laptop-LCD is made the primary display

- when I close the laptop-LCD - the laptop-LCD is switched off - and the external monitor is the primary display

However with F20 - I see the following (regressions):

- When I boo with the Laptop-LCD closed - then I don't see the 'login' prompt for gdm on the external monitor. [I have to open the LCD - and then login]

- when I open laptop-LCD - the behaviour is same as F19

- when I close the Laptop-LCD [instead of just switching the laptop-lcd off as f19 does] - the machine goes into suspend.

Version-Release number of selected component (if applicable):

gnome-shell-3.9.91-1.f20.x86_64
gdm-3.9.90-1.fc20.x86_64

How reproducible:

Always

Steps to Reproduce:
1. connect an external monitor to a laptop
2. boot with Fedora-Live-Desktop-x86_64-20-Alpha-4.iso
3. close/open the LCD to observer this bad behavior

Actual results:

boot with Fedora-Live-Desktop-x86_64-19-1.iso to observe the prefered behavior

Expected results:

same as F19

Additional info:

Hopefully this is a F20 blocker [as this is a major regression in usability for me]
Comment 1 Satish Balay 2013-10-01 15:48:50 EDT
Another report on this issue is at bug: 995786
Comment 2 Satish Balay 2013-10-01 15:50:04 EDT
(In reply to Satish Balay from comment #1)
> Another report on this issue is at bug: 995786

Ah - I'm not sure what bugzilla shorts is - here is the proper url

https://bugzilla.redhat.com/show_bug.cgi?id=995786
Comment 3 Satish Balay 2013-10-01 16:34:51 EDT
I've checked again with latest F20 - and still see this issue.

kernel-3.11.2-301.fc20.x86_64
gnome-shell-3.10.1-1.fc20.x86_64
gdm-3.10.0-1.fc20.x86_64
Comment 4 Satish Balay 2013-11-11 14:09:54 EST
Looks like this issue is fixed now.

I tried booting with  Fedora-Live-Desktop-x86_64-20-Beta-5.iso - and here it detects the 'closed lid' state properly [similar to F19]

[its not clear to me if this was a kernel issue - or gnome-shell issue - or something in the middle. Since I don't see the problem anymore - I won't worry about it - and might upgrade to to F20 beta at some point]
Comment 5 Fedora End Of Life 2015-05-29 05:27:26 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-06-29 08:27:49 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.